
# SETTING TRIGGER ENABLES
function treefeller:update/trigger_settings

# Item conversion

# Tool debuffs
execute if score $HV_SETTING tf_dt_enable matches 1 as @a[scores={tf_sneaking=0}] if data entity @s {SelectedItem:{id:"minecraft:wooden_axe"}} run effect give @p minecraft:mining_fatigue 1 1 true
execute if score $HV_SETTING tf_dt_enable matches 1 as @a[scores={tf_sneaking=0}] if data entity @s {SelectedItem:{id:"minecraft:stone_axe"}} run effect give @p minecraft:mining_fatigue 1 1 true
execute if score $HV_SETTING tf_dt_enable matches 1 as @a[scores={tf_sneaking=0}] if data entity @s {SelectedItem:{id:"minecraft:iron_axe"}} run effect give @p minecraft:mining_fatigue 1 1 true
execute if score $HV_SETTING tf_dt_enable matches 1 as @a[scores={tf_sneaking=0}] if data entity @s {SelectedItem:{id:"minecraft:golden_axe"}} run effect give @p minecraft:mining_fatigue 1 1 true


# Tree cutting
tag @a[scores={tf_use_axe=1..,tf_sneaking=0}] add tf_chop_tree
execute as @a[tag=tf_chop_tree] at @s run function treefeller:update/tree_feller/check_tree_feller

execute as @e[tag=tf_tree_feller_root,type=armor_stand] at @s run function treefeller:update/tree_feller/root

execute as @e[tag=tf_tree_feller_main,type=armor_stand] at @s run function treefeller:update/tree_feller/main
execute as @e[tag=tf_tree_feller_main_se,type=armor_stand] at @s run function treefeller:update/tree_feller/main_se
execute as @e[tag=tf_tree_feller_main_ne,type=armor_stand] at @s run function treefeller:update/tree_feller/main_ne
execute as @e[tag=tf_tree_feller_main_nw,type=armor_stand] at @s run function treefeller:update/tree_feller/main_nw
execute as @e[tag=tf_tree_feller_main_sw,type=armor_stand] at @s run function treefeller:update/tree_feller/main_sw

execute as @e[tag=tf_tree_feller_branch,type=armor_stand] at @s run function treefeller:update/tree_feller/branch

execute as @e[tag=tf_tree_feller_leaf,type=armor_stand] at @s run function treefeller:update/tree_feller/leaf

execute store result score $HV_GLOBAL tf_lk_count run execute if entity @e[tag=tf_leaf_killer,type=armor_stand]
execute if score $HV_GLOBAL tf_lk_count < $HV_SETTING tf_lk_count as @a[sort=random,limit=1] at @s run summon minecraft:armor_stand ~ ~ ~ {Invisible:1b, Invulnerable:1b, Marker:1b, Tags:["tf_leaf_killer", "tf_temp"]}
execute if score $HV_GLOBAL tf_lk_count > $HV_SETTING tf_lk_count as @a[sort=random,limit=1] at @s run kill @e[tag=tf_leaf_killer,type=armor_stand,limit=1,sort=furthest]

execute as @e[tag=tf_leaf_killer,type=armor_stand] at @s run function treefeller:update/anti_leaf/check