### Performs things that happen on ANY reload, therefore no reset of data should happen here!!

# Prerequisites
gamerule commandBlockOutput false
gamerule logAdminCommands false

#### DEFINE ####

## Define global actions
scoreboard objectives add tf_sneaking minecraft.custom:minecraft.sneak_time "Sneak"

## Define Tool upgrades
scoreboard objectives add tf_use_hoe0 minecraft.used:minecraft.wooden_hoe "Use Wooden Hoe"
scoreboard objectives add tf_use_hoe1 minecraft.used:minecraft.stone_hoe "Use Stone Hoe"
scoreboard objectives add tf_use_hoe2 minecraft.used:minecraft.iron_hoe "Use Iron Hoe"
scoreboard objectives add tf_use_hoe3 minecraft.used:minecraft.golden_hoe "Use Golden Hoe"
scoreboard objectives add tf_use_hoe4 minecraft.used:minecraft.diamond_hoe "Use Diamond Hoe"

scoreboard objectives add tf_use_hoe dummy "Use Any Hoe"

scoreboard objectives add tf_use_axe0 minecraft.used:minecraft.wooden_axe "Use Wooden Axe"
scoreboard objectives add tf_use_axe1 minecraft.used:minecraft.stone_axe "Use Stone Axe"
scoreboard objectives add tf_use_axe2 minecraft.used:minecraft.iron_axe "Use Iron Axe"
scoreboard objectives add tf_use_axe3 minecraft.used:minecraft.golden_axe "Use Golden Axe"
scoreboard objectives add tf_use_axe4 minecraft.used:minecraft.diamond_axe "Use Diamond Axe"

scoreboard objectives add tf_use_axe dummy "Use Any Axe"


## Define miscellaneous
scoreboard objectives add tf_lk_count dummy "Number of anti-leaf"
scoreboard objectives add tf_leaf_decay trigger "Leaf Decay Speed"

scoreboard objectives add tf_dt_enable dummy "Enabled debuffs"
scoreboard objectives add tf_debuff_tools trigger "Debuff Tools"

#### INITIALIZE #####
scoreboard objectives add tf_initialized dummy "Is data initialized"
scoreboard players add $HV_GLOBAL tf_initialized 0

## Initialize global actions
scoreboard players add @a tf_sneaking 0

## Initialize Tool upgrades
scoreboard players add @a tf_use_axe0 0
scoreboard players add @a tf_use_axe1 0
scoreboard players add @a tf_use_axe2 0
scoreboard players add @a tf_use_axe3 0
scoreboard players add @a tf_use_axe4 0

scoreboard players add @a tf_use_axe 0

scoreboard players set @a tf_leaf_decay -1
scoreboard players set @a tf_debuff_tools -1

scoreboard players set $HV_GLOBAL tf_lk_count 0
scoreboard players add $HV_SETTING tf_lk_count 0
scoreboard players set $HV_GLOBAL tf_dt_enable 0
scoreboard players add $HV_SETTING tf_dt_enable 0

## First time initialization
execute if score $HV_GLOBAL tf_initialized matches 0 run function treefeller:main/resettables

## initialization status
scoreboard players set $HV_GLOBAL tf_initialized 1

tellraw @a {"text":"[DEBUG] (Re)loaded data!","color":"yellow"}